#!/usr/bin/perl
# 
# test script for Serene Bach libraries
# == written by T.Otani <ootani@segausers.gr.jp> ===
# == Copyright (C) 2004 SimpleBoxes/SerendipityNZ ==

# ======================================
use strict;
use warnings;
use lib qw(./ ../);
use sb::Test;
sb::Test::DataBaseText->run();

package sb::Test::DataBaseText;
use vars qw( $VERSION );
$VERSION = '0.00';
# 0.00 [2007/11/30] created
# --------------------------------------
# // public functions
sub run
{
	my $testcase = sb::Test->new();
	$testcase->add('dbtext',\&_test,\&_check);
	$testcase->run();
}
# --------------------------------------
# // private functions
sub _test
{
	require sb::Data;
	require sb::Driver;
	return {};
}
sub _check
{
	my $result = shift;
	return 1;
}
1;
__END__
